Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ConnectOptions

    java.lang.Object
      oracle.ifs.common.ConnectOptions

    public class ConnectOptions

extends java.lang.Object

ConnectOptions is a bucket of parameters that govern the behavior of `LibraryService.connect`.

(Published)

Field Summary
`protected java.lang.String` | `m_ApplicationName` The name of the application creating the session.
`protected java.lang.String` | `m_EventPollerClassname` The fully-qualified classname of the session's event poller.
`protected boolean` | `m_ForSchemaUpgrade` Whether the session is being established to upgrade the iFS schema.
`protected java.util.Hashtable` | `m_InitialSessionState` The initial session state to use for the session.
`protected java.util.Locale` | `m_Locale` The Locale of the session.
`protected BoundedCacheConfiguration` | `m_RemoteDataCacheConfiguration` The configuration of the session's remote data cache.

Constructor Summary
`ConnectOptions()` Constructs a ConnectOptions.

Method Summary
`java.lang.String` | `getApplicationName()` Gets the name of the application creating the session.
`java.lang.String` | `getEventPollerClassname()` Gets the classname of the event poller for the new session.
`java.util.Locale` | `getLocale()` Gets the Locale of the new session.
`BoundedCacheConfiguration` | `getRemoteDataCacheConfiguration()` Gets the configuration of the new session's remote data cache.
`java.util.Hashtable` | `getSessionState()` Gets the initial session to use for the session.
`boolean` | `isForSchemaUpgrade()` Gets whether the session is being established to upgrade the iFS schema.
`void` | `setApplicationName(java.lang.String name)` Sets the name of the application creating the session.
`void` | `setEventPollerClassname(java.lang.String classname)` Sets the classname of the event poller for the new session.
`void` | `setForSchemaUpgrade(boolean forSchemaUpgrade)` Sets whether the session is being established to upgrade the iFS schema.
`void` | `setLocale(java.util.Locale locale)` Sets the Locale of the new session.
`void` | `setRemoteDataCacheConfiguration(BoundedCacheConfiguration cacheConfiguration)` Sets the configuration of the new session's remote data cache.
`void` | `setSessionState(java.util.Hashtable state)` Sets the initial session to use for the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ApplicationName

    protected java.lang.String m_ApplicationName

  Description copied from class: `ConnectOptions`
  The name of the application creating the session.

  (Unpublished)

### m_Locale

    protected java.util.Locale m_Locale

  Description copied from class: `ConnectOptions`
  The Locale of the session.

  (Unpublished)

### m_RemoteDataCacheConfiguration

    protected BoundedCacheConfiguration m_RemoteDataCacheConfiguration

  Description copied from class: `ConnectOptions`
  The configuration of the session's remote data cache.

  (Unpublished)

### m_EventPollerClassname

    protected java.lang.String m_EventPollerClassname

  Description copied from class: `ConnectOptions`
  The fully-qualified classname of the session's event poller.

  (Unpublished)

### m_ForSchemaUpgrade

    protected boolean m_ForSchemaUpgrade

  Description copied from class: `ConnectOptions`
  Whether the session is being established to upgrade the iFS schema.

  (Unpublished)

### m_InitialSessionState

    protected java.util.Hashtable m_InitialSessionState

  Description copied from class: `ConnectOptions`
  The initial session state to use for the session.

  (Unpublished)

Constructor Detail

### ConnectOptions

    public ConnectOptions()
                   throws IfsException

  Constructs a ConnectOptions.

  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### setApplicationName

    public void setApplicationName(java.lang.String name)
                            throws IfsException

  Description copied from class: `ConnectOptions`
  Sets the name of the application creating the session.

  The value is not used internally; it is purely informational.

  Parameters:
    `name` - the application name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getApplicationName

    public java.lang.String getApplicationName()
                                        throws IfsException

  Description copied from class: `ConnectOptions`
  Gets the name of the application creating the session.

  The value is not used internally; it is purely informational.

  Returns:
    the application name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws IfsException

  Description copied from class: `ConnectOptions`
  Sets the Locale of the new session.

  Parameters:
    `locale` - the Locale
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLocale

    public java.util.Locale getLocale()
                               throws IfsException

  Description copied from class: `ConnectOptions`
  Gets the Locale of the new session.

  Returns:
    the Locale
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setRemoteDataCacheConfiguration

    public void setRemoteDataCacheConfiguration(BoundedCacheConfiguration cacheConfiguration)
                                         throws IfsException

  Description copied from class: `ConnectOptions`
  Sets the configuration of the new session's remote data cache.

  The remote data cache configuration is needed only when connecting to a remote service; it is ignored when connecting to a local (in-process) service. If unspecified, the configuration is determined from the service's properties file.

  Parameters:
    `cacheConfiguration` - the cache configuration
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getRemoteDataCacheConfiguration

    public BoundedCacheConfiguration getRemoteDataCacheConfiguration()
                                                              throws IfsException

  Description copied from class: `ConnectOptions`
  Gets the configuration of the new session's remote data cache.

  Returns:
    the cache configuration
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setEventPollerClassname

    public void setEventPollerClassname(java.lang.String classname)
                                 throws IfsException

  Description copied from class: `ConnectOptions`
  Sets the classname of the event poller for the new session.

  Currently, the out-of-the-box LibrarySessionEventPollers are LibrarySessionEventPollerThreadPerSession and LibrarySessionEventPollerThreadPerProcess.

  If unspecified, the session's event poller is determined from the service's properties file.

  Parameters:
    `classname` - the fully-qualified classname
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getEventPollerClassname

    public java.lang.String getEventPollerClassname()
                                             throws IfsException

  Description copied from class: `ConnectOptions`
  Gets the classname of the event poller for the new session.

  Returns:
    the fully-qualified classname
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setForSchemaUpgrade

    public void setForSchemaUpgrade(boolean forSchemaUpgrade)
                             throws IfsException

  Description copied from class: `ConnectOptions`
  Sets whether the session is being established to upgrade the iFS schema.

  If true, and if the authenticated user is the "system" user (an id of 96), the schema version check normally performed at authentication is bypassed.

  Parameters:
    `forSchemaUpgrade` - whether the session is being established to upgrade the iFS schema
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isForSchemaUpgrade

    public boolean isForSchemaUpgrade()
                               throws IfsException

  Description copied from class: `ConnectOptions`
  Gets whether the session is being established to upgrade the iFS schema.

  If true, and if the authenticated user is the "system" user (an id of 96), the schema version check normally performed at authentication is bypassed.

  Returns:
    whether the session is being established to upgrade the iFS schema
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setSessionState

    public void setSessionState(java.util.Hashtable state)
                         throws IfsException

  Description copied from class: `ConnectOptions`
  Sets the initial session to use for the session.

  Parameters:
    `state` - the initial session state
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSessionState

    public java.util.Hashtable getSessionState()
                                        throws IfsException

  Description copied from class: `ConnectOptions`
  Gets the initial session to use for the session.

  Returns:
    the initial session state
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD